generateRandom.Chromosome {galgo} | R Documentation

## Generates random values for all genes in the chromosome

### Description

Updates gene values calling the method `generateRandom` to all its genes.

### Usage

    ## S3 method for class 'Chromosome'
    generateRandom(.O, ...)

### Value

Returns nothing.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Chromosome`. `unObject`, `as.list.Object`, `newCollection.Chromosome`, `newRandomCollection.Chromosome`

### Examples

      cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
      cr
      #
      # from clone example
      cr2 <- cr
      generateRandom(cr2)
      cr2
      cr			# cr and cr2 are the very same object
      cr3 <- clone(cr2)
      generateRandom(cr3)
      cr3
      cr2			# now cr2 is different to cr3
      cr			# but cr2 is still the same than cr

[Package galgo version 1.4 Index]